Bug 880552 - systemd.exec(5) man page mentions mount(1) which does not exist
systemd.exec(5) man page mentions mount(1) which does not exist
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
17
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
: Documentation, EasyFix, ManPageChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-27 05:11 EST by Cristian Ciupitu
Modified: 2013-01-19 22:33 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-19 22:32:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cristian Ciupitu 2012-11-27 05:11:22 EST
Description of problem:
The manual page for systemd.exec(5) mentions mount(1), but that manual page
does not seem to exist, only mount(8) and mount(2).

Version-Release number of selected component (if applicable):
systemd-44-21.fc17.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. man 5 systemd.exec
2. Search for MountFlags=
  
Actual results:
Takes a mount propagation flag: shared, slave or private, which control whether
namespaces set up with ReadWriteDirectories=, ReadOnlyDirectories= and
InaccessibleDirectories= receive or propagate new mounts from/to the main
namespace. See mount(1) for details. Defaults to shared, i.e. the new namespace
will both receive new mount points from the main namespace as well as propagate
new mounts to it.

Expected results:
An existing man page.

Additional info:
I also have util-linux-2.21.2-3.fc17.x86_64 and man-pages-3.35-4.fc17.noarch on
my system.
Comment 1 Kay Sievers 2012-11-27 05:41:13 EST
Fixed in systemd -git. Thanks!
Comment 2 Fedora Update System 2013-01-14 09:09:25 EST
systemd-197-1.fc18.1 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-0655/systemd-197-1.fc18.1
Comment 3 Fedora Update System 2013-01-19 22:33:01 EST
systemd-197-1.fc18.1 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.